Updates an existing activity. To add or remove participants or relatedResources entries without replacing the whole list, pass an object with addToSet or pull instead of an array. Activities created from mailbox ingestion reject participants and relatedResources edits with 400, because mailbox ingestion maintains those links.
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Metal Docs","description":"Developer documentation and API reference for Metal, the AI context layer for financial firms.","colors":{"primary":"#AF4719","light":"#E0764A","dark":"#8F3A14"},"logo":{"light":"https://mintcdn.com/metal-05dd0988/nE9Niq1EZxmrmtFS/logo/light.png?fit=max\u0026auto=format\u0026n=nE9Niq1EZxmrmtFS\u0026q=85\u0026s=215c9e6983b210f31b2f2f90fe58922d","dark":"https://mintcdn.com/metal-05dd0988/nE9Niq1EZxmrmtFS/logo/dark.png?fit=max\u0026auto=format\u0026n=nE9Niq1EZxmrmtFS\u0026q=85\u0026s=46e0a5261f69de6c07f84eb8543a195d","href":"https://www.metal.ai"},"favicon":"https://mintcdn.com/metal-05dd0988/kWbcLNNTbUpq7lH_/favicon.png?fit=max\u0026auto=format\u0026n=kWbcLNNTbUpq7lH_\u0026q=85\u0026s=aa6f9eae2cd28cf1532c714602acb90d","api":{"openapi":"api-reference/openapi.json","playground":{"display":"interactive"},"examples":{"languages":["bash","python","javascript","go"]}},"appearance":{"default":"system"},"background":{"color":{"light":"#FAF7EF","dark":"#1A1A18"}},"navbar":{"links":[{"href":"mailto:support@metal.ai","label":"Support"}],"primary":{"type":"button","label":"Book a demo","href":"https://www.metal.ai/book-a-demo"}},"footer":{"socials":{"website":"https://www.metal.ai","x":"https://x.com/metal__ai","linkedin":"https://www.linkedin.com/company/getmetal"}},"fonts":{"heading":{"family":"Lora"},"body":{"family":"Inter"}},"styling":{"eyebrows":"breadcrumbs","codeblocks":{"theme":{"light":"github-light","dark":"github-dark"}},"latex":false},"contextual":{"options":["copy","view","chatgpt","claude","cursor","vscode"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"metal-05dd0988","hasAudioNarration":false,"actualSubdomain":"metal-05dd0988","customDomains":["docs.metal.ai"],"gitSource":{"type":"github","owner":"getmetal","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"collectionId":"42d3382f-6d8b-4b0d-bda5-8d2cdf5c40b4","liveDeploymentHistoryId":"6ae8b993fd92378ebc2e98cc","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae8b993fd92378ebc2e98cc"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae8b993fd92378ebc2e98cc","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"Developers","count":149},{"language":"default","tag":"API reference","count":123},{"language":"default","tag":"Core records","count":40},{"language":"default","tag":"User guide","count":34},{"language":"default","tag":"Lists \u0026 taxonomy","count":32},{"language":"default","tag":"Administration","count":22},{"language":"default","tag":"Enrichment \u0026 scoring","count":19},{"language":"default","tag":"Documentation","count":16},{"language":"default","tag":"Working in Metal","count":15},{"language":"default","tag":"Companies","count":12}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/activity/update-an-activity","slug":"/api-reference/activity/update-an-activity","pageMetadata":{"title":"Update an activity","description":"Updates an existing activity. To add or remove `participants` or `relatedResources` entries without replacing the whole list, pass an object with `addToSet` or `pull` instead of an array. Activities created from mailbox ingestion reject `participants` and `relatedResources` edits with 400, because mailbox ingestion maintains those links.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/activities/{id}","href":"/api-reference/activity/update-an-activity","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Updates an existing activity. To add or remove \", _jsx(_components.code, {\n children: \"participants\"\n }), \" or \", _jsx(_components.code, {\n children: \"relatedResources\"\n }), \" entries without replacing the whole list, pass an object with \", _jsx(_components.code, {\n children: \"addToSet\"\n }), \" or \", _jsx(_components.code, {\n children: \"pull\"\n }), \" instead of an array. Activities created from mailbox ingestion reject \", _jsx(_components.code, {\n children: \"participants\"\n }), \" and \", _jsx(_components.code, {\n children: \"relatedResources\"\n }), \" edits with 400, because mailbox ingestion maintains those links.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":{"theme":{"light":"github-light","dark":"github-dark"}},"config":{},"pageMetadata":{"title":"Update an activity","description":"Updates an existing activity. To add or remove `participants` or `relatedResources` entries without replacing the whole list, pass an object with `addToSet` or `pull` instead of an array. Activities created from mailbox ingestion reject `participants` and `relatedResources` edits with 400, because mailbox ingestion maintains those links.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/activities/{id}","href":"/api-reference/activity/update-an-activity","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Activity"],"summary":"Update an activity","description":"Updates an existing activity. To add or remove `participants` or `relatedResources` entries without replacing the whole list, pass an object with `addToSet` or `pull` instead of an array. Activities created from mailbox ingestion reject `participants` and `relatedResources` edits with 400, because mailbox ingestion maintains those links.","operationId":"updateActivity","requestBody":"ec7223e7-eb25-4432-b192-44c0f53e5afb","responses":{"200":"bfa0014f-6b72-408c-bc81-526f488154ca","400":"7d230a4d-10f7-4ed2-a16f-03a7c110848e","401":"7f13f6f7-4404-466f-8d06-9767b1235646","404":"26f6c73b-2b2c-4b46-8f75-e0034cba2e4b"},"method":"put","type":"path","servers":["130f6bfe-94c7-4a22-9833-8ee919fd7e27"],"security":["dda5383b-58f9-4345-9930-cac5e8140457"],"path":"/v1/activities/{id}","baseUrlOptions":["https://api.metal.ai"],"title":"Update an activity","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","go"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"4fa7b51e-d395-425e-972f-5a85e15e9805":{"name":"id","in":"path","required":true,"description":"The activity id.","schema":{"type":"string","isRequired":true,"description":"The activity id.","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"subject":{"type":"string","uniqueKey":"subject","typeLabel":"string"},"type":{"type":"string","uniqueKey":"type","typeLabel":"string"},"startedAt":{"type":"string","format":"date-time","uniqueKey":"startedAt","typeLabel":"string\u003cdate-time>"},"endedAt":{"type":"string","format":"date-time","uniqueKey":"endedAt","typeLabel":"string\u003cdate-time>"},"participants":{"oneOf":[{"type":"array","items":{"type":"object","description":"A reference to another resource, such as a user or team.","properties":{"id":{"type":"string","uniqueKey":"participants.oneOf.0.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","description":"The referenced resource type, e.g. \"user\" or \"team\".","uniqueKey":"participants.oneOf.0.items.[INDEX].type","typeLabel":"string"}},"uniqueKey":"participants.oneOf.0.items.[INDEX]","typeLabel":"object"},"title":"Replace list","description":"Either a plain array or an object with `addToSet`, `pull`, or `set`. A plain array replaces the whole list, the same as `set`. `addToSet` adds entries that are not already present as an identical element; because elements are compared whole, the same record sent in a different shape can still be added. `pull` removes entries matched on `id` and `type`. `set` cannot be combined with `addToSet` or `pull`. Each `id` must be a valid 24-character hex ID, and `type` must be one of `user`, `company`, `person`, `activity`, or `limited_partner`. Each `company` or `limited_partner` added through `set`, `addToSet`, or a plain array must exist in your organization, or the request returns 404. The list can hold at most 50 entries after the update.","maxItems":50,"uniqueKey":"participants.oneOf.0","typeLabel":"Replace list · object[]"},{"type":"object","title":"Add or remove entries","description":"Either a plain array or an object with `addToSet`, `pull`, or `set`. A plain array replaces the whole list, the same as `set`. `addToSet` adds entries that are not already present as an identical element; because elements are compared whole, the same record sent in a different shape can still be added. `pull` removes entries matched on `id` and `type`. `set` cannot be combined with `addToSet` or `pull`. Each `id` must be a valid 24-character hex ID, and `type` must be one of `user`, `company`, `person`, `activity`, or `limited_partner`. Each `company` or `limited_partner` added through `set`, `addToSet`, or a plain array must exist in your organization, or the request returns 404. The list can hold at most 50 entries after the update.","properties":{"addToSet":{"type":"array","items":{"type":"object","description":"A reference to another resource, such as a user or team.","properties":{"id":{"type":"string","uniqueKey":"participants.oneOf.1.addToSet.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","description":"The referenced resource type, e.g. \"user\" or \"team\".","uniqueKey":"participants.oneOf.1.addToSet.items.[INDEX].type","typeLabel":"string"}},"uniqueKey":"participants.oneOf.1.addToSet.items.[INDEX]","typeLabel":"object"},"description":"Entries to add. An element identical to one already present is not added.","uniqueKey":"participants.oneOf.1.addToSet","typeLabel":"object[]"},"pull":{"type":"array","items":{"type":"object","description":"A reference to another resource, such as a user or team.","properties":{"id":{"type":"string","uniqueKey":"participants.oneOf.1.pull.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","description":"The referenced resource type, e.g. \"user\" or \"team\".","uniqueKey":"participants.oneOf.1.pull.items.[INDEX].type","typeLabel":"string"}},"uniqueKey":"participants.oneOf.1.pull.items.[INDEX]","typeLabel":"object"},"description":"Entries to remove, matched on `id` and `type`.","uniqueKey":"participants.oneOf.1.pull","typeLabel":"object[]"},"set":{"type":"array","maxItems":50,"items":{"type":"object","description":"A reference to another resource, such as a user or team.","properties":{"id":{"type":"string","uniqueKey":"participants.oneOf.1.set.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","description":"The referenced resource type, e.g. \"user\" or \"team\".","uniqueKey":"participants.oneOf.1.set.items.[INDEX].type","typeLabel":"string"}},"uniqueKey":"participants.oneOf.1.set.items.[INDEX]","typeLabel":"object"},"description":"Replaces the whole list. Cannot be combined with `addToSet` or `pull`.","uniqueKey":"participants.oneOf.1.set","typeLabel":"object[]"}},"uniqueKey":"participants.oneOf.1","typeLabel":"Add or remove entries · object"}],"uniqueKey":"participants","typeLabel":"Replace list · object[] | Add or remove entries · object"},"relatedResources":{"oneOf":[{"type":"array","items":{"type":"object","description":"A reference to another resource, such as a user or team.","properties":{"id":{"type":"string","uniqueKey":"relatedResources.oneOf.0.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","description":"The referenced resource type, e.g. \"user\" or \"team\".","uniqueKey":"relatedResources.oneOf.0.items.[INDEX].type","typeLabel":"string"}},"uniqueKey":"relatedResources.oneOf.0.items.[INDEX]","typeLabel":"object"},"title":"Replace list","description":"Either a plain array or an object with `addToSet`, `pull`, or `set`. A plain array replaces the whole list, the same as `set`. `addToSet` adds entries that are not already present as an identical element; because elements are compared whole, the same record sent in a different shape can still be added. `pull` removes entries matched on `id` and `type`. `set` cannot be combined with `addToSet` or `pull`. Each `id` must be a valid 24-character hex ID, and `type` must be one of `fund`, `limited_partner`, `fundraising_process`, `deal_investor_participation`, `person`, `activity`, or `company`. The list can hold at most 50 entries after the update.","maxItems":50,"uniqueKey":"relatedResources.oneOf.0","typeLabel":"Replace list · object[]"},{"type":"object","title":"Add or remove entries","description":"Either a plain array or an object with `addToSet`, `pull`, or `set`. A plain array replaces the whole list, the same as `set`. `addToSet` adds entries that are not already present as an identical element; because elements are compared whole, the same record sent in a different shape can still be added. `pull` removes entries matched on `id` and `type`. `set` cannot be combined with `addToSet` or `pull`. Each `id` must be a valid 24-character hex ID, and `type` must be one of `fund`, `limited_partner`, `fundraising_process`, `deal_investor_participation`, `person`, `activity`, or `company`. The list can hold at most 50 entries after the update.","properties":{"addToSet":{"type":"array","items":{"type":"object","description":"A reference to another resource, such as a user or team.","properties":{"id":{"type":"string","uniqueKey":"relatedResources.oneOf.1.addToSet.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","description":"The referenced resource type, e.g. \"user\" or \"team\".","uniqueKey":"relatedResources.oneOf.1.addToSet.items.[INDEX].type","typeLabel":"string"}},"uniqueKey":"relatedResources.oneOf.1.addToSet.items.[INDEX]","typeLabel":"object"},"description":"Entries to add. An element identical to one already present is not added.","uniqueKey":"relatedResources.oneOf.1.addToSet","typeLabel":"object[]"},"pull":{"type":"array","items":{"type":"object","description":"A reference to another resource, such as a user or team.","properties":{"id":{"type":"string","uniqueKey":"relatedResources.oneOf.1.pull.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","description":"The referenced resource type, e.g. \"user\" or \"team\".","uniqueKey":"relatedResources.oneOf.1.pull.items.[INDEX].type","typeLabel":"string"}},"uniqueKey":"relatedResources.oneOf.1.pull.items.[INDEX]","typeLabel":"object"},"description":"Entries to remove, matched on `id` and `type`.","uniqueKey":"relatedResources.oneOf.1.pull","typeLabel":"object[]"},"set":{"type":"array","maxItems":50,"items":{"type":"object","description":"A reference to another resource, such as a user or team.","properties":{"id":{"type":"string","uniqueKey":"relatedResources.oneOf.1.set.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","description":"The referenced resource type, e.g. \"user\" or \"team\".","uniqueKey":"relatedResources.oneOf.1.set.items.[INDEX].type","typeLabel":"string"}},"uniqueKey":"relatedResources.oneOf.1.set.items.[INDEX]","typeLabel":"object"},"description":"Replaces the whole list. Cannot be combined with `addToSet` or `pull`.","uniqueKey":"relatedResources.oneOf.1.set","typeLabel":"object[]"}},"uniqueKey":"relatedResources.oneOf.1","typeLabel":"Add or remove entries · object"}],"uniqueKey":"relatedResources","typeLabel":"Replace list · object[] | Add or remove entries · object"},"isPrivate":{"type":"boolean","uniqueKey":"isPrivate","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"subject":"\u003cstring>","type":"\u003cstring>","startedAt":"2023-11-07T05:31:56Z","endedAt":"2023-11-07T05:31:56Z","participants":[{"id":"\u003cstring>","type":"\u003cstring>"}],"relatedResources":[{"id":"\u003cstring>","type":"\u003cstring>"}],"isPrivate":true}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"bfa0014f-6b72-408c-bc81-526f488154ca":{"description":"Updates an existing activity.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string","uniqueKey":"data.id","typeLabel":"string"},"subject":{"type":"string","example":"Intro call with management","uniqueKey":"data.subject","typeLabel":"string"},"type":{"type":"string","example":"Meeting","uniqueKey":"data.type","typeLabel":"string"},"startedAt":{"type":"string","format":"date-time","uniqueKey":"data.startedAt","typeLabel":"string\u003cdate-time>"},"endedAt":{"type":"string","format":"date-time","uniqueKey":"data.endedAt","typeLabel":"string\u003cdate-time>"},"participants":{"type":"array","items":{"type":"object","description":"A reference to another resource, such as a user or team.","properties":{"id":{"type":"string","uniqueKey":"data.participants.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","description":"The referenced resource type, e.g. \"user\" or \"team\".","uniqueKey":"data.participants.items.[INDEX].type","typeLabel":"string"}},"uniqueKey":"data.participants.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.participants","typeLabel":"object[]"},"deals":{"type":"array","items":{"type":"string","uniqueKey":"data.deals.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.deals","typeLabel":"string[]"},"relatedResources":{"type":"array","items":{"type":"object","description":"A reference to another resource, such as a user or team.","properties":{"id":{"type":"string","uniqueKey":"data.relatedResources.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","description":"The referenced resource type, e.g. \"user\" or \"team\".","uniqueKey":"data.relatedResources.items.[INDEX].type","typeLabel":"string"}},"uniqueKey":"data.relatedResources.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.relatedResources","typeLabel":"object[]"},"externalReference":{"type":"object","description":"A structured reference to a record in an external source system.","properties":{"source":{"type":"string","description":"The external system, e.g. a CRM provider.","uniqueKey":"data.externalReference.source","typeLabel":"string"},"id":{"type":"string","description":"The record id in the external system.","uniqueKey":"data.externalReference.id","typeLabel":"string"}},"uniqueKey":"data.externalReference","typeLabel":"object"},"isPrivate":{"type":"boolean","uniqueKey":"data.isPrivate","typeLabel":"boolean"},"createdAt":{"type":"string","format":"date-time","uniqueKey":"data.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","uniqueKey":"data.updatedAt","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"id":"\u003cstring>","subject":"Intro call with management","type":"Meeting","startedAt":"2023-11-07T05:31:56Z","endedAt":"2023-11-07T05:31:56Z","participants":[{"id":"\u003cstring>","type":"\u003cstring>"}],"deals":["\u003cstring>"],"relatedResources":[{"id":"\u003cstring>","type":"\u003cstring>"}],"externalReference":{"source":"\u003cstring>","id":"\u003cstring>"},"isPrivate":true,"createdAt":"2023-11-07T05:31:56Z","updatedAt":"2023-11-07T05:31:56Z"}}}},"exampleType":"generated"}},"exampleType":"generated"},"7d230a4d-10f7-4ed2-a16f-03a7c110848e":{"description":"The request body or parameters are invalid.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","description":"A human-readable error message.","uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Invalid request body"},"examples":{"Example":{"title":"Example","value":{"error":"Invalid request body"}}},"exampleType":"examples"}},"exampleType":"examples"},"7f13f6f7-4404-466f-8d06-9767b1235646":{"description":"Missing or invalid API key credentials.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","description":"A human-readable error message.","uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"invalid api key or clientId"},"examples":{"Example":{"title":"Example","value":{"error":"invalid api key or clientId"}}},"exampleType":"examples"}},"exampleType":"examples"},"26f6c73b-2b2c-4b46-8f75-e0034cba2e4b":{"description":"The resource does not exist in your organization.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","description":"A human-readable error message.","uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"not found"},"examples":{"Example":{"title":"Example","value":{"error":"not found"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"dda5383b-58f9-4345-9930-cac5e8140457":{"MetalClientId":{"type":"apiKey","in":"header","name":"x-metal-client-id","description":"The Client ID of your API key.","x-default":"\u003cclient-id>","scopes":[],"schemeName":"MetalClientId"},"MetalApiKey":{"type":"apiKey","in":"header","name":"x-metal-api-key","description":"The secret value of your API key.","x-default":"\u003capi-key>","scopes":[],"schemeName":"MetalApiKey"}}},"servers":{"130f6bfe-94c7-4a22-9833-8ee919fd7e27":{"url":"https://api.metal.ai","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-metal-client-id","description":"The Client ID of your API key.","x-default":"\u003cclient-id>","scopes":[],"schemeName":"MetalClientId"},"schema":{"title":"x-metal-client-id","type":"string","description":"The Client ID of your API key.","isRequired":true,"default":"\u003cclient-id>","typeLabel":"string","deprecated":false},"schemeName":"MetalClientId","name":"x-metal-client-id"},{"scheme":{"type":"apiKey","in":"header","name":"x-metal-api-key","description":"The secret value of your API key.","x-default":"\u003capi-key>","scopes":[],"schemeName":"MetalApiKey"},"schema":{"title":"x-metal-api-key","type":"string","description":"The secret value of your API key.","isRequired":true,"default":"\u003capi-key>","typeLabel":"string","deprecated":false},"schemeName":"MetalApiKey","name":"x-metal-api-key"}],"title":"MetalClientId \u0026 MetalApiKey"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"metal-05dd0988","siteName":"Metal Docs","title":"Update an activity - Metal Docs","relatedPagesConfig":{"enabled":true,"limit":5,"mode":"automatic"},"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-28T14:14:22.757Z","originalFileLocation":"api-reference/activity/update-an-activity.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Updates an existing activity. To add or remove participants or relatedResources entries without replacing the whole list, pass an object with addToSet or pull instead of an array. Activities created from mailbox ingestion reject participants and relatedResources edits with 400, because mailbox ingestion maintains those links.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Metal Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update an activity - Metal Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Updates an existing activity. To add or remove participants or relatedResources entries without replacing the whole list, pass an object with addToSet or pull instead of an array. Activities created from mailbox ingestion reject participants and relatedResources edits with 400, because mailbox ingestion maintains those links.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Metal Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.metal.ai/api-reference/activity/update-an-activity\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://metal-05dd0988.mintlify.app/_mintlify/api/og/v2?division=Activities\u0026amp;title=Update+an+activity\u0026amp;description=Updates+an+existing+activity.+To+add+or+remove+%60participants%60+or+%60relatedResources%60+entries+without+replacing+the+whole+list%2C+pass+an+object+with+%60addToSet%60+or+\u0026amp;theme=8371c31aca97183926192ed6\u0026amp;signature=cca9f784f2b577139f452877bf5d896b5a9c707f887efede133103a560388b8b\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update an activity - Metal Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Updates an existing activity. To add or remove participants or relatedResources entries without replacing the whole list, pass an object with addToSet or pull instead of an array. Activities created from mailbox ingestion reject participants and relatedResources edits with 400, because mailbox ingestion maintains those links.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://metal-05dd0988.mintlify.app/_mintlify/api/og/v2?division=Activities\u0026amp;title=Update+an+activity\u0026amp;description=Updates+an+existing+activity.+To+add+or+remove+%60participants%60+or+%60relatedResources%60+entries+without+replacing+the+whole+list%2C+pass+an+object+with+%60addToSet%60+or+\u0026amp;theme=8371c31aca97183926192ed6\u0026amp;signature=cca9f784f2b577139f452877bf5d896b5a9c707f887efede133103a560388b8b\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Metal Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#AF4719\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.metal.ai/api-reference/activity/update-an-activity\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/activity/update-an-activity.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.metal.ai/#organization\",\"name\":\"Metal Docs\",\"url\":\"https://docs.metal.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/metal-05dd0988/nE9Niq1EZxmrmtFS/logo/light.png?fit=max\u0026auto=format\u0026n=nE9Niq1EZxmrmtFS\u0026q=85\u0026s=215c9e6983b210f31b2f2f90fe58922d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.metal.ai#website\",\"name\":\"Metal Docs\",\"url\":\"https://docs.metal.ai\",\"publisher\":{\"@id\":\"https://docs.metal.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.metal.ai/api-reference/activity/update-an-activity#webpage\",\"url\":\"https://docs.metal.ai/api-reference/activity/update-an-activity\",\"name\":\"Update an activity\",\"description\":\"Updates an existing activity. To add or remove participants or relatedResources entries without replacing the whole list, pass an object with addToSet or pull instead of an array. Activities created from mailbox ingestion reject participants and relatedResources edits with 400, because mailbox ingestion maintains those links.\",\"dateModified\":\"2026-10-28T14:14:22.757Z\",\"isPartOf\":{\"@id\":\"https://docs.metal.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.metal.ai/api-reference/activity/update-an-activity#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.metal.ai/api-reference/activity/update-an-activity#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Core records\",\"item\":\"https://docs.metal.ai/api-reference/companies/list-companies\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Activities\",\"item\":\"https://docs.metal.ai/api-reference/activity/list-activities\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update an activity\",\"item\":\"https://docs.metal.ai/api-reference/activity/update-an-activity\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.metal.ai/api-reference/activity/update-an-activity#apireference\",\"headline\":\"Update an activity\",\"name\":\"Update an activity\",\"description\":\"Updates an existing activity. To add or remove participants or relatedResources entries without replacing the whole list, pass an object with addToSet or pull instead of an array. Activities created from mailbox ingestion reject participants and relatedResources edits with 400, because mailbox ingestion maintains those links.\",\"url\":\"https://docs.metal.ai/api-reference/activity/update-an-activity\",\"mainEntityOfPage\":{\"@id\":\"https://docs.metal.ai/api-reference/activity/update-an-activity#webpage\"},\"dateModified\":\"2026-10-28T14:14:22.757Z\",\"publisher\":{\"@id\":\"https://docs.metal.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.metal.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Metal Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Metal Docs","nav":{"global":null,"products":[{"product":"Developers","icon":"code","description":"Build on the Metal API — core concepts, integration guides, MCP, and the full API reference.","tabs":[{"tab":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":""}]},{"tab":"Guides","icon":"compass","pages":[{"title":"Guides","href":"/guides/sync-data"}]},{"tab":"API reference","icon":"code","groups":[{"group":"Overview","pages":[{"title":"Metal REST API conventions and structure","sidebarTitle":"API reference","href":"/api-reference/introduction"}]},{"group":"Core records","pages":[{"group":"Companies","pages":[{"title":"List companies","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies","href":"/api-reference/companies/list-companies"},{"title":"Create a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/companies","href":"/api-reference/companies/create-a-company"},{"title":"Get a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}","href":"/api-reference/companies/get-a-company"},{"title":"Update a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/companies/{id}","href":"/api-reference/companies/update-a-company"},{"title":"Delete a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/companies/{id}","href":"/api-reference/companies/delete-a-company"},{"title":"Get companies by ids","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/ids={ids}","href":"/api-reference/companies/get-companies-by-ids"},{"title":"Get a company by external id","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/externalId={externalId}","href":"/api-reference/companies/get-a-company-by-external-id"},{"title":"Get a company by external reference","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/externalReference={ref}","href":"/api-reference/companies/get-a-company-by-external-reference"},{"title":"Search companies","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/companies/search","href":"/api-reference/companies/search-companies"},{"title":"Enrich a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/companies/{id}/enrich","href":"/api-reference/companies/enrich-a-company"},{"title":"List company financial metrics","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}/financial-metrics","href":"/api-reference/companies/list-company-financial-metrics"},{"title":"Aggregate company email touchpoints","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/companies/email-touchpoints/aggregate","href":"/api-reference/companies/aggregate-company-email-touchpoints"}]},{"group":"Deals","pages":[{"title":"List deals","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/deals","href":"/api-reference/deals/list-deals"},{"title":"Create a deal","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/deals","href":"/api-reference/deals/create-a-deal"},{"title":"Get a deal","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/deals/{id}","href":"/api-reference/deals/get-a-deal"},{"title":"Update a deal","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/deals/{id}","href":"/api-reference/deals/update-a-deal"},{"title":"Delete a deal","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/deals/{id}","href":"/api-reference/deals/delete-a-deal"},{"title":"Get deals by ids","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/deals/ids={ids}","href":"/api-reference/deals/get-deals-by-ids"},{"title":"Get a deal by external id","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/deals/externalId={externalId}","href":"/api-reference/deals/get-a-deal-by-external-id"},{"title":"List deals for a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}/deals","href":"/api-reference/deals/list-deals-for-a-company"},{"title":"Search deals","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/deals/search","href":"/api-reference/deals/search-deals"}]},{"group":"People","pages":[{"title":"List people","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/people","href":"/api-reference/people/list-people"},{"title":"Create a person","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/people","href":"/api-reference/people/create-a-person"},{"title":"Get a person","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/people/{id}","href":"/api-reference/people/get-a-person"},{"title":"Update a person","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/people/{id}","href":"/api-reference/people/update-a-person"},{"title":"Delete a person","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/people/{id}","href":"/api-reference/people/delete-a-person"},{"title":"Get people by ids","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/people/ids={ids}","href":"/api-reference/people/get-people-by-ids"},{"title":"Get a person by external reference","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/people/externalReference={ref}","href":"/api-reference/people/get-a-person-by-external-reference"},{"title":"List people for a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}/people","href":"/api-reference/people/list-people-for-a-company"},{"title":"Search people","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/people/search","href":"/api-reference/people/search-people"}]},{"group":"Documents","pages":[{"title":"Get documents by ids","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/documents/ids={ids}","href":"/api-reference/documents/get-documents-by-ids"},{"title":"Search documents","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/documents/search","href":"/api-reference/documents/search-documents"}]},{"group":"Activities","pages":[{"title":"List activities","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/activities","href":"/api-reference/activity/list-activities"},{"title":"Create an activity","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/activities","href":"/api-reference/activity/create-an-activity"},{"title":"Get an activity","description":"Retrieves a single activity by id.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/activities/{id}","href":"/api-reference/activity/get-an-activity"},{"title":"Update an activity","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/activities/{id}","href":"/api-reference/activity/update-an-activity"},{"title":"Delete an activity","description":"Deletes an activity by id.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/activities/{id}","href":"/api-reference/activity/delete-an-activity"},{"title":"Search activities","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/activities/search","href":"/api-reference/activities/search-activities"},{"title":"List activities for a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}/activities","href":"/api-reference/activities/list-activities-for-a-company"},{"title":"List activities for a person","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/people/{id}/activities","href":"/api-reference/activities/list-activities-for-a-person"}]}]},{"group":"Enrichment \u0026 scoring","pages":[{"group":"Enrichments","pages":[{"title":"Create an enrichment","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/enrichments","href":"/api-reference/enrichments/create-an-enrichment"},{"title":"List enrichments for a resource","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/enrichments/resources/{resourceType}/{resourceId}","href":"/api-reference/enrichments/list-enrichments-for-a-resource"},{"title":"Get enrichment for a property","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/enrichments/resources/{resourceType}/{resourceId}/{property}","href":"/api-reference/enrichments/get-enrichment-for-a-property"},{"title":"Delete an enrichment","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/enrichments/{id}","href":"/api-reference/enrichments/delete-an-enrichment"}]},{"group":"Scores","pages":[{"title":"List scores","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/scores","href":"/api-reference/scores/list-scores"},{"title":"Create a score","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/scores","href":"/api-reference/scores/create-a-score"},{"title":"Get a score","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/scores/{id}","href":"/api-reference/scores/get-a-score"},{"title":"Delete a score","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/scores/{id}","href":"/api-reference/scores/delete-a-score"},{"title":"List scores for a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}/scores","href":"/api-reference/scores/list-scores-for-a-company"},{"title":"List scoring frameworks","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/scoring-frameworks","href":"/api-reference/scores/list-scoring-frameworks"},{"title":"Get a scoring framework","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/scoring-frameworks/{id}","href":"/api-reference/scores/get-a-scoring-framework"}]},{"group":"Screenings","pages":[{"title":"List screenings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/screenings","href":"/api-reference/screening/list-screenings"},{"title":"Create a screening","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/screenings","href":"/api-reference/screening/create-a-screening"},{"title":"Get a screening","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/screenings/{id}","href":"/api-reference/screening/get-a-screening"},{"title":"Update a screening","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/screenings/{id}","href":"/api-reference/screening/update-a-screening"},{"title":"Delete a screening","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/screenings/{id}","href":"/api-reference/screening/delete-a-screening"},{"title":"Search screenings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/screenings/search","href":"/api-reference/screenings/search-screenings"},{"title":"List screenings for a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}/screenings","href":"/api-reference/screenings/list-screenings-for-a-company"},{"title":"List screenings for a deal","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/deals/{id}/screenings","href":"/api-reference/screenings/list-screenings-for-a-deal"}]}]},{"group":"Lists \u0026 taxonomy","pages":[{"group":"Lists","pages":[{"title":"List lists","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/lists","href":"/api-reference/lists/list-lists"},{"title":"Create a list","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/lists","href":"/api-reference/lists/create-a-list"},{"title":"Get a list","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/lists/{id}","href":"/api-reference/lists/get-a-list"},{"title":"Update a list","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/lists/{id}","href":"/api-reference/lists/update-a-list"},{"title":"Delete a list","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/lists/{id}","href":"/api-reference/lists/delete-a-list"},{"title":"List entries","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/lists/{id}/entries","href":"/api-reference/lists/list-entries"},{"title":"Add an entry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/lists/{id}/entries","href":"/api-reference/lists/add-an-entry"},{"title":"Add or remove tags in bulk","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/lists/{id}/entries/bulk-tags","href":"/api-reference/lists/add-or-remove-tags-in-bulk"},{"title":"Get a list entry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/lists/{id}/entries/{entryId}","href":"/api-reference/lists/get-a-list-entry"},{"title":"Update a list entry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/lists/{id}/entries/{entryId}","href":"/api-reference/lists/update-a-list-entry"},{"title":"Delete a list entry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/lists/{id}/entries/{entryId}","href":"/api-reference/lists/delete-a-list-entry"},{"title":"Enrich a list","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/lists/{id}/enrich","href":"/api-reference/lists/enrich-a-list"}]},{"group":"Tags","pages":[{"title":"List tags","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/tags","href":"/api-reference/tag/list-tags"},{"title":"Create a tag","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/tags","href":"/api-reference/tag/create-a-tag"},{"title":"Get a tag","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/tags/{id}","href":"/api-reference/tag/get-a-tag"},{"title":"Update a tag","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/tags/{id}","href":"/api-reference/tag/update-a-tag"},{"title":"Delete a tag","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/tags/{id}","href":"/api-reference/tag/delete-a-tag"}]},{"group":"Industries","pages":[{"title":"List industries","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/industries","href":"/api-reference/industry/list-industries"},{"title":"Create an industry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/industries","href":"/api-reference/industry/create-an-industry"},{"title":"Get an industry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/industries/{id}","href":"/api-reference/industry/get-an-industry"},{"title":"Update an industry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/industries/{id}","href":"/api-reference/industry/update-an-industry"},{"title":"Delete an industry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/industries/{id}","href":"/api-reference/industry/delete-an-industry"}]},{"group":"Sectors","pages":[{"title":"List sectors","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/sectors","href":"/api-reference/sector/list-sectors"},{"title":"Create a sector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/sectors","href":"/api-reference/sector/create-a-sector"},{"title":"Get a sector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/sectors/{id}","href":"/api-reference/sector/get-a-sector"},{"title":"Update a sector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/sectors/{id}","href":"/api-reference/sector/update-a-sector"},{"title":"Delete a sector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/sectors/{id}","href":"/api-reference/sector/delete-a-sector"}]},{"group":"Subsectors","pages":[{"title":"List subsectors","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/subsectors","href":"/api-reference/subsector/list-subsectors"},{"title":"Create a subsector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/subsectors","href":"/api-reference/subsector/create-a-subsector"},{"title":"Get a subsector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/subsectors/{id}","href":"/api-reference/subsector/get-a-subsector"},{"title":"Update a subsector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/subsectors/{id}","href":"/api-reference/subsector/update-a-subsector"},{"title":"Delete a subsector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/subsectors/{id}","href":"/api-reference/subsector/delete-a-subsector"}]}]},{"group":"Workflows \u0026 automation","pages":[{"group":"Workflows","pages":[{"title":"List workflows","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workflows","href":"/api-reference/workflows/list-workflows"},{"title":"Create a workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/workflows","href":"/api-reference/workflows/create-a-workflow"},{"title":"Get a workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workflows/{id}","href":"/api-reference/workflows/get-a-workflow"},{"title":"Update a workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/workflows/{id}","href":"/api-reference/workflows/update-a-workflow"},{"title":"Delete a workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/workflows/{id}","href":"/api-reference/workflows/delete-a-workflow"},{"title":"Trigger a workflow run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/workflows/{id}/runs","href":"/api-reference/workflows/trigger-a-workflow-run"},{"title":"List workflow runs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workflows/{id}/runs","href":"/api-reference/workflows/list-workflow-runs"},{"title":"List all workflow runs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workflow-runs","href":"/api-reference/workflows/list-all-workflow-runs"},{"title":"Get a workflow run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workflow-runs/{id}","href":"/api-reference/workflows/get-a-workflow-run"},{"title":"Update a workflow run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /v1/workflow-runs/{id}","href":"/api-reference/workflows/update-a-workflow-run"},{"title":"Cancel a workflow run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/workflow-runs/{id}/cancel","href":"/api-reference/workflows/cancel-a-workflow-run"},{"title":"Retry a workflow run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/workflow-runs/{id}/retry","href":"/api-reference/workflows/retry-a-workflow-run"}]}]},{"group":"Inference","pages":[{"title":"Run an LLM completion","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/inference","href":"/api-reference/inference/run-an-llm-completion"}]},{"group":"Data","pages":[{"group":"Series \u0026 observations","pages":[{"title":"Get a metric series","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/data/series","href":"/api-reference/data/get-a-metric-series"},{"title":"Get an observation","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/data/observations","href":"/api-reference/data/get-an-observation"},{"title":"List available metrics","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/data/metrics","href":"/api-reference/data/list-available-metrics"},{"title":"Query a metric series","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/data/metric-series","href":"/api-reference/data/query-a-metric-series"},{"title":"Batch resolve observations","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/data/observations/batch","href":"/api-reference/data/batch-resolve-observations"}]}]},{"group":"Administration","pages":[{"group":"API keys","pages":[{"title":"Get current API key","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/keys/current","href":"/api-reference/api-keys/get-current-api-key"}]},{"group":"Teams","pages":[{"title":"List teams","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/teams","href":"/api-reference/team/list-teams"},{"title":"Create a team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/teams","href":"/api-reference/team/create-a-team"},{"title":"Get a team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/teams/{id}","href":"/api-reference/team/get-a-team"},{"title":"Update a team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/teams/{id}","href":"/api-reference/team/update-a-team"},{"title":"Delete a team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/teams/{id}","href":"/api-reference/team/delete-a-team"},{"title":"List team members","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/teams/{id}/members","href":"/api-reference/teams/list-team-members"}]},{"group":"Workspaces","pages":[{"title":"List workspaces","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workspaces","href":"/api-reference/workspace/list-workspaces"},{"title":"Create a workspace","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/workspaces","href":"/api-reference/workspace/create-a-workspace"},{"title":"Get a workspace","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workspaces/{id}","href":"/api-reference/workspace/get-a-workspace"},{"title":"Update a workspace","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/workspaces/{id}","href":"/api-reference/workspace/update-a-workspace"},{"title":"Delete a workspace","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/workspaces/{id}","href":"/api-reference/workspace/delete-a-workspace"},{"title":"Search workspaces","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/workspaces/search","href":"/api-reference/workspaces/search-workspaces"}]}]}]}]},{"product":"User guide","icon":"book-open","description":"Learn how to use and administer the Metal app, feature by feature.","pages":[{"title":"User guide","href":"/help"}]}]},"basePath":"","title":"Update an activity - Metal Docs","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js","Markdown-h4cOoD8d.js","clsx-B2v50t8t.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DJnKvr0g.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BHrrjR1K.js"]}